Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/SensorDataBuffer.h File Reference

Definition of SensorDataBuffer class. More...

`#include "SensorData.h"`
`#include "Tools/Streams/InOut.h"`
`#include "Tools/Streams/Streamable.h"`

Include dependency graph for SensorDataBuffer.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SensorDataBuffer
| A buffer for sensor data sets, containing all frames received at the same time. More...
## Functions
In & | operator>> (In &stream, SensorDataBuffer &sensorDataBuffer)
| Streaming operator that reads a SensorDataBuffer from a stream.
Out & | operator<< (Out &stream, const SensorDataBuffer &sensorDataBuffer)
| Streaming operator that writes a SensorDataBuffer to a stream.

## Detailed Description

Definition of SensorDataBuffer class.

Author:
  Max Risler

Definition in file SensorDataBuffer.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | SensorDataBuffer & | sensorDataBuffer
| ) |

  | Streaming operator that reads a SensorDataBuffer from a stream. Parameters:
  stream | The stream from which is read.
  sensorDataBuffer | The system independent sensor data buffer object.
Returns: The stream. Definition at line 90 of file Sensors.cpp. References SensorData::data, SensorDataBuffer::frame, SensorData::frameNumber, SystemCall::getRobotDesign(), SensorDataBuffer::numOfFrames, In::read(), and SensorData::refValue.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const SensorDataBuffer & | sensorDataBuffer
| ) |

  | Streaming operator that writes a SensorDataBuffer to a stream. Parameters:
  stream | The stream to write on.
  sensorDataBuffer | The SensorDataBuffer object.
Returns: The stream. Definition at line 34 of file SensorDataBuffer.cpp. References SensorDataBuffer::frame, SensorDataBuffer::numOfFrames, STREAM_DYN_ARRAY_EXT, STREAM_REGISTER_BEGIN_EXT, and STREAM_REGISTER_FINISH.